#ifndef VECTOR3D_H
#define VECTOR3D_H

class Vector3D
{
public:
    // Initialize vector to zeros
    Vector3D();

    // Initialize vector with specified components
    Vector3D(double x, double y, double z);

    // Initialize vector from an array
    Vector3D(double* v);

    // Initialize vector from another object
    Vector3D(const Vector3D& A);

    // Initialize vector with specified components
    void set(double x, double y, double z);

    // Print values of vector elements to standard output
    void print();

    // Add components of specified vector to this vector
    void operator+=(const Vector3D& A);

    // Subtract components of specified vector to this vector
    void operator-=(const Vector3D& A);

    // Add components of two vectors together to form a new vector
    friend Vector3D operator+(const Vector3D& A, const Vector3D& B);

    // Subtract components of two vectors together to form a new vector
    friend Vector3D operator-(const Vector3D& A, const Vector3D& B);

    // Compare components of two vectors together
    friend bool operator==(const Vector3D& A, const Vector3D& B);

private:

    // Array to hold elements of vector
    double v[3];
};



#endif
